package de.deversmann;

import java.util.Calendar;
import java.util.Date;

public class Auto {

    public Auto(String kennzeichen) {
        this.kennzeichen = kennzeichen;
        this.einfahrtZeit = new Date();
        this.bezahlt = false;
        this.ausfahrtZeit = new Date();
        this.bezahlZeit = new Date();
    }
    private Calendar calendar = Calendar.getInstance();

    private final String kennzeichen;
    private Date einfahrtZeit;
    private Date bezahlZeit;
    private Date ausfahrtZeit;
    private boolean bezahlt;

    public String getKennzeichen() {
        return kennzeichen;
    }

    public Date getEinfahrtZeit() {
        return einfahrtZeit;
    }

    public void setEinfahrtZeit() {
        this.einfahrtZeit = calendar.getTime() ;
    }

    public Date getBezahlZeit() {
        return bezahlZeit;
    }

    public void setBezahlZeit(Date bezahlZeit) {
        this.bezahlZeit = bezahlZeit;
    }

    public Date getAusfahrtZeit() {
        return ausfahrtZeit;
    }

    public void setAusfahrtZeit(Date ausfahrtZeit) {
        this.ausfahrtZeit = ausfahrtZeit;
    }

    public boolean isBezahlt() {
        return bezahlt;
    }

    public void setBezahlt(boolean bezahlt) {
        this.bezahlt = bezahlt;
    }
}
